# ASM 120 h, analog output read by fluke 45

namespace eval asm120h {} {
}

proc stdConfig::asm120h {} {
  controller std "\n" 5 ">"
  prop startcmd "*IDN?"

  obj Fluke45 rd
  prop read asm120h::read
  prop readcmd "MEAS?"
  prop readfmt "%g"
}


proc asm120h::read {} {
  sct send "MEAS?"
  return asm120h::update
}

proc asm120h::update {} {
  set res 0
  scan [sct result] %f res
  sct update [expr $res - 9]
  return idle
}
